import { NextApiResponse, NextApiRequest } from 'next';
import { NextJwtVerifierOptions, IApiRoute } from './types';
export interface NextJwtVerifier {
    (apiRoute: IApiRoute): (req: NextApiRequest, res: NextApiResponse) => Promise<void>;
}
/**
 * Create a JWT verifier handler.
 * @param options
 */
export declare const NextJwtVerifier: (options: NextJwtVerifierOptions) => NextJwtVerifier;
export { claimToArray, removeNamespaces, getTokenFromHeader } from '@serverless-jwt/jwt-verifier';
